Apply Custom VDRMAC

Apply Custom VDRMAC
Apply Custom VDR MAC to Network Extension

Applies custom VDR (Virtual Distributed Router) MAC addresses to specified network extensions.

Request
URI
POST
https://{server}/hybridity/api/l2NetworkExtensions/applyVdrMac
COPY
Request Body

List of network extension IDs (stretch IDs) to which custom VDR MAC addresses should be applied. Each stretch ID must correspond to an existing network extension that meets the requirements for VDR MAC application (MON enabled or source on VDR).

L2NetworkExtensionApplyVdrMacRequest of type(s) application/json
Required
{
    "stretchIds": [
        "string"
    ]
}
array of string
stretchIds
Optional

stretchIds

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns l2NetworkExtensionApplyVdrMacPostResponse of type(s) application/json
{
    "responses": [
        {
            "stretchId": "string",
            "message": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
responses
Optional

responses


207

Multi-Status

Returns l2NetworkExtensionApplyVdrMacPostResponse of type(s) application/json
{
    "responses": [
        {
            "stretchId": "string",
            "message": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
responses
Optional

responses


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/l2NetworkExtensions/applyVdrMac